Debian Bug report logs - #531597
xterm: escape sequences to set title are ignored even if allowTitleOps is set

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: friedel@nomaden.org

Date: Tue, 2 Jun 2009 16:36:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/242-1

Fixed in version xterm/246-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Tue, 02 Jun 2009 16:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to friedel@nomaden.org:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Jun 2009 16:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Friedrich Delgado Friedrichs <friedel@taupan.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Tue, 02 Jun 2009 18:20:42 +0200
Package: xterm
Version: 242-1
Severity: normal


printf '\033]0;XTerm Title\007'; read foo

should change the title of a running xterm. Works with rxvt.

probably related to #510030 but didn't check unpatched upstream package yet.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-12         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-3        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090523-1 shared libraries for terminal hand
ii  libx11-6                  2:1.2.1-1      X11 client-side library
ii  libxaw7                   2:1.0.5-2      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+1    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Tue, 02 Jun 2009 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Jun 2009 17:09:02 GMT) Full text and rfc822 format available.

Message #10 received at 531597@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: friedel@nomaden.org, 531597@bugs.debian.org
Subject: Re: Bug#531597: xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Tue, 2 Jun 2009 19:05:56 +0200
On Tue, Jun  2, 2009 at 18:20:42 +0200, Friedrich Delgado Friedrichs wrote:

> Package: xterm
> Version: 242-1
> Severity: normal
> 
> 
> printf '\033]0;XTerm Title\007'; read foo
> 
> should change the title of a running xterm. Works with rxvt.
> 
> probably related to #510030 but didn't check unpatched upstream package yet.
> 
Weird, this works for me with 243-1.  Also, we don't change the default
for allowTitleOps so far.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Wed, 03 Jun 2009 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to friedel@nomaden.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Jun 2009 00:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 531597@bugs.debian.org (full text, mbox):

From: Friedrich Delgado Friedrichs <friedel@nomaden.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 531597@bugs.debian.org
Subject: Re: Bug#531597: xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Wed, 3 Jun 2009 02:14:09 +0200
[Message part 1 (text/plain, inline)]
Hi!

Julien Cristau schrieb:
> On Tue, Jun  2, 2009 at 18:20:42 +0200, Friedrich Delgado Friedrichs wrote:
> Weird, this works for me with 243-1.  Also, we don't change the default
> for allowTitleOps so far.
---Zitatende---

This is indeed weird. I can reproduce this on two amd64 boxes running
debian (mostly) testing.

I can test on a 386 box later.

I can check without any Xresources settings to rule those out as well,
so please hang on.

I have to add when I filed this bug I was thinking about filing it as
"minor" instead of "normal", but something compelled me to choose
normal, because I think lots of people use xterm titles to get
notified about shell states.

--
        Friedrich Delgado Friedrichs <friedel@nomaden.org>
                             TauPan on Ircnet and Freenode ;)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Fri, 05 Jun 2009 15:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to friedel@nomaden.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 05 Jun 2009 15:27:02 GMT) Full text and rfc822 format available.

Message #20 received at 531597@bugs.debian.org (full text, mbox):

From: Friedrich Delgado Friedrichs <friedel@nomaden.org>
To: 531597@bugs.debian.org
Subject: allowSendEvents() interferes with title operations
Date: Fri, 5 Jun 2009 17:23:37 +0200
I found some new information. I went through my .Xdefaults settings
for xterm to see if any of those were relevant.

For some reason, I had left AllowSendEvents: true in my .Xdefaults (I
was experimenting with drag + drop from emacs and firefox into xterm,
which never really worked, and I was using some hackish window manager
functions that pasted text into my terminal, but I don't use those any
more either.)

I know this is a security risk, so I disabled it and as a side effect,
got settable XTerm titles back!

When I enable sending events via the ctrl + leftclick menu, the
ability to set titles disappears, and re-appears, when I switch it
off.

So as far as I can see, the manual doesn't mention that
allowSendEvents and allowTitleOps are in some way related, so this
behaviour is at least undocumented, iff there's a good reason why
those two should not be enabled together. This would mean it's an
omission in the documentation.

If there isn't such a good reason, I'd say it's a minor functionality
bug.

HTH
        Friedel
-- 
        Friedrich Delgado Friedrichs <friedel@nomaden.org>
                             TauPan on Ircnet and Freenode ;)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Sun, 09 Aug 2009 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Aug 2009 22:00:05 GMT) Full text and rfc822 format available.

Message #25 received at 531597@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 531597@bugs.debian.org
Subject: re: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Sun, 09 Aug 2009 17:54:23 -0400
[Message part 1 (text/plain, inline)]
This is fixed in patch #244

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 09 Aug 2009 22:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Mon, 10 Aug 2009 10:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 10 Aug 2009 10:39:02 GMT) Full text and rfc822 format available.

Message #32 received at 531597@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: dickey@his.com, 531597@bugs.debian.org
Subject: Re: Bug#531597: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Mon, 10 Aug 2009 12:31:24 +0200
On Sun, Aug  9, 2009 at 17:54:23 -0400, Thomas Dickey wrote:

> This is fixed in patch #244
> 
Hi Thomas,

would you mind pointing at the change that fixes this?  On a quick look
over the diff between #243 and #244 I didn't find it.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Mon, 10 Aug 2009 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 10 Aug 2009 10:48:05 GMT) Full text and rfc822 format available.

Message #37 received at 531597@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 531597@bugs.debian.org
Subject: Re: Bug#531597: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Mon, 10 Aug 2009 06:40:00 -0400 (EDT)
On Mon, 10 Aug 2009, Julien Cristau wrote:

> On Sun, Aug  9, 2009 at 17:54:23 -0400, Thomas Dickey wrote:
>
>> This is fixed in patch #244
>>
> Hi Thomas,
>
> would you mind pointing at the change that fixes this?  On a quick look
> over the diff between #243 and #244 I didn't find it.

that was a typo in an ifdef, in charproc.c:

@@ -398,7 +398,7 @@
     Bres(XtNallowFontOps, XtCAllowFontOps, screen.allowFontOp0, DEF_ALLOW_FONT),
     Bres(XtNallowTcapOps, XtCAllowTcapOps, screen.allowTcapOp0, DEF_ALLOW_TCAP),
     Bres(XtNallowTitleOps, XtCAllowTitleOps, screen.allowTitleOp0, DEF_ALLOW_TITLE),
-    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_FONT),
+    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_WINDOW),
     Bres(XtNaltIsNotMeta, XtCAltIsNotMeta, screen.alt_is_not_meta, False),
     Bres(XtNaltSendsEscape, XtCAltSendsEscape, screen.alt_sends_esc, False),
     Bres(XtNalwaysBoldMode, XtCAlwaysBoldMode, screen.always_bold_mode, False),


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Mon, 10 Aug 2009 11:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 10 Aug 2009 11:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 531597@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 531597@bugs.debian.org
Subject: Re: Bug#531597: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Mon, 10 Aug 2009 12:59:32 +0200
On Mon, Aug 10, 2009 at 06:40:00 -0400, Thomas Dickey wrote:

> On Mon, 10 Aug 2009, Julien Cristau wrote:
> 
> >On Sun, Aug  9, 2009 at 17:54:23 -0400, Thomas Dickey wrote:
> >
> >>This is fixed in patch #244
> >>
> >Hi Thomas,
> >
> >would you mind pointing at the change that fixes this?  On a quick look
> >over the diff between #243 and #244 I didn't find it.
> 
> that was a typo in an ifdef, in charproc.c:
> 
> @@ -398,7 +398,7 @@
>      Bres(XtNallowFontOps, XtCAllowFontOps, screen.allowFontOp0, DEF_ALLOW_FONT),
>      Bres(XtNallowTcapOps, XtCAllowTcapOps, screen.allowTcapOp0, DEF_ALLOW_TCAP),
>      Bres(XtNallowTitleOps, XtCAllowTitleOps, screen.allowTitleOp0, DEF_ALLOW_TITLE),
> -    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_FONT),
> +    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_WINDOW),
>      Bres(XtNaltIsNotMeta, XtCAltIsNotMeta, screen.alt_is_not_meta, False),
>      Bres(XtNaltSendsEscape, XtCAltSendsEscape, screen.alt_sends_esc, False),
>      Bres(XtNalwaysBoldMode, XtCAlwaysBoldMode, screen.always_bold_mode, False),
> 
Hmm.  We build with
        -DDEF_ALLOW_WINDOW=False \
        -DDEF_ALLOW_FONT=False \
        -DDEF_ALLOW_TCAP=False
so this particular typo shouldn't change anything.

This bug seems to be about interaction between AllowTitleOps and
AllowSendEvents; the manpage documents in the 'Font Menu' section that
AllowSendEvents disables the AllowXXXOps items, and the AllowTitleOps()
macro indeed checks that allowSendEvents is disabled.  Maybe all that's
needed here is something like this:

diff --git a/xterm.man b/xterm.man
index 132d23d..91efb6c 100644
--- a/xterm.man
+++ b/xterm.man
@@ -1500,8 +1500,8 @@ The default is \*(``true.\*(''
 Specifies whether or not synthetic key and button events (generated using
 the X protocol SendEvent request) should be interpreted or discarded.
 The default is \*(``false\*('' meaning they are discarded.
-Note that allowing
-such events creates a very large security hole.
+Note that allowing such events creates a very large security hole, and
+forcefully disables the \fBallow\fIXXX\fPOps\fR resources.
 The default is \*(``false.\*(''
 .TP
 .B "allowTcapOps (\fPclass\fB AllowTcapOps)"

Cheers,
Julien




Message sent on to friedel@nomaden.org:
Bug#531597. (Mon, 10 Aug 2009 20:39:16 GMT) Full text and rfc822 format available.

Message #45 received at 531597-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 531597-submitter@bugs.debian.org
Subject: Re: Bug#531597: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Mon, 10 Aug 2009 16:34:58 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 10, 2009 at 12:59:32PM +0200, Julien Cristau wrote:
> On Mon, Aug 10, 2009 at 06:40:00 -0400, Thomas Dickey wrote:
> 
> > On Mon, 10 Aug 2009, Julien Cristau wrote:
> > 
> > >On Sun, Aug  9, 2009 at 17:54:23 -0400, Thomas Dickey wrote:
> > >
> > >>This is fixed in patch #244
> > >>
> > >Hi Thomas,
> > >
> > >would you mind pointing at the change that fixes this?  On a quick look
> > >over the diff between #243 and #244 I didn't find it.
> > 
> > that was a typo in an ifdef, in charproc.c:
> > 
> > @@ -398,7 +398,7 @@
> >      Bres(XtNallowFontOps, XtCAllowFontOps, screen.allowFontOp0, DEF_ALLOW_FONT),
> >      Bres(XtNallowTcapOps, XtCAllowTcapOps, screen.allowTcapOp0, DEF_ALLOW_TCAP),
> >      Bres(XtNallowTitleOps, XtCAllowTitleOps, screen.allowTitleOp0, DEF_ALLOW_TITLE),
> > -    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_FONT),
> > +    Bres(XtNallowWindowOps, XtCAllowWindowOps, screen.allowWindowOp0, DEF_ALLOW_WINDOW),
> >      Bres(XtNaltIsNotMeta, XtCAltIsNotMeta, screen.alt_is_not_meta, False),
> >      Bres(XtNaltSendsEscape, XtCAltSendsEscape, screen.alt_sends_esc, False),
> >      Bres(XtNalwaysBoldMode, XtCAlwaysBoldMode, screen.always_bold_mode, False),
> > 
> Hmm.  We build with
>         -DDEF_ALLOW_WINDOW=False \
>         -DDEF_ALLOW_FONT=False \
>         -DDEF_ALLOW_TCAP=False
> so this particular typo shouldn't change anything.

I see (actually the web interface is down at the moment...)
> 
> This bug seems to be about interaction between AllowTitleOps and
> AllowSendEvents; the manpage documents in the 'Font Menu' section that
> AllowSendEvents disables the AllowXXXOps items, and the AllowTitleOps()
> macro indeed checks that allowSendEvents is disabled.  Maybe all that's
> needed here is something like this:
> 
> diff --git a/xterm.man b/xterm.man
> index 132d23d..91efb6c 100644
> --- a/xterm.man
> +++ b/xterm.man
> @@ -1500,8 +1500,8 @@ The default is \*(``true.\*(''
>  Specifies whether or not synthetic key and button events (generated using
>  the X protocol SendEvent request) should be interpreted or discarded.
>  The default is \*(``false\*('' meaning they are discarded.
> -Note that allowing
> -such events creates a very large security hole.
> +Note that allowing such events creates a very large security hole, and
> +forcefully disables the \fBallow\fIXXX\fPOps\fR resources.

something like that (I'm not sure about "forcefully" ;-)

>  The default is \*(``false.\*(''
>  .TP
>  .B "allowTcapOps (\fPclass\fB AllowTcapOps)"
> 
> Cheers,
> Julien

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream; removed tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 10 Aug 2009 21:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531597; Package xterm. (Mon, 17 Aug 2009 00:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Aug 2009 00:45:02 GMT) Full text and rfc822 format available.

Message #52 received at 531597@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 531597@bugs.debian.org
Cc: 531597-submitter@bugs.debian.org
Subject: re: #531597 xterm: escape sequences to set title are ignored even if allowTitleOps is set
Date: Sun, 16 Aug 2009 20:43:39 -0400
[Message part 1 (text/plain, inline)]
I added the suggested change in patch #245

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to friedel@nomaden.org:
Bug#531597. (Mon, 17 Aug 2009 00:45:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream; removed tag(s) upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 17 Aug 2009 00:48:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:06:12 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 22 Aug 2009 23:00:30 GMT) Full text and rfc822 format available.

Notification sent to friedel@nomaden.org:
Bug acknowledged by developer. (Sat, 22 Aug 2009 23:00:31 GMT) Full text and rfc822 format available.

Message #64 received at 531597-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 531597-close@bugs.debian.org
Subject: Bug#531597: fixed in xterm 246-1
Date: Sat, 22 Aug 2009 22:47:32 +0000
Source: xterm
Source-Version: 246-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_246-1.diff.gz
  to pool/main/x/xterm/xterm_246-1.diff.gz
xterm_246-1.dsc
  to pool/main/x/xterm/xterm_246-1.dsc
xterm_246-1_amd64.deb
  to pool/main/x/xterm/xterm_246-1_amd64.deb
xterm_246.orig.tar.gz
  to pool/main/x/xterm/xterm_246.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531597@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Aug 2009 00:35:21 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 246-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 531597 541089 541160 541236 541603
Changes: 
 xterm (246-1) unstable; urgency=low
 .
   * New upstream release
     + interaction between allowSendEvents and the various allowXXXOps
       resources clarified in manpage (closes: #531597)
     + remove obsolete logic for saving/restoring wrapping flags, which did not
       work on 64-bit platform.  Wrapping flags (stored in the line-index) are
       now copied with line-data (closes: #541160)
     + modify comments in app-defaults files to avoid problem with C
       preprocessor used by xrdb (closes: #541603)
     + restore special case in makeColorPair needed for colorBDMode resource
       (closes: #541089)
     + correct SetLineFlags() macro, broken in patch #244 when recoding to
       avoid gcc-specific bitfields (closes: #541236)
   * The issues with the fifo-lines code should now be fixed, so enable it
     again.
Checksums-Sha1: 
 a02c720f07994a8961dfd5821a3b1c74b66e6773 1339 xterm_246-1.dsc
 08a10609f40e5da1c2a1612abdf3a89e09282a3b 883376 xterm_246.orig.tar.gz
 cb7f14b5e480af04a934b30af34cb511d2a0116a 74206 xterm_246-1.diff.gz
 a417cbb1830cbd76776a54159a9c2941b2517f28 513600 xterm_246-1_amd64.deb
Checksums-Sha256: 
 b6001b175ac781f557bd693ef000174a2bce193232997380300afd5c1994976f 1339 xterm_246-1.dsc
 dcb19d412be91e0dfef75aa0ca4cee3483d9a8fa356351300e3919a377e863cf 883376 xterm_246.orig.tar.gz
 c7918d0a0572b62c5bc2b39c51a0d7f340979ec770ae48767e40c94e07eb3e52 74206 xterm_246-1.diff.gz
 83d5be92a44e5c3b6701e6dfcdf44379023e1d00a46b82ce67c23e586a80db55 513600 xterm_246-1_amd64.deb
Files: 
 eb6639a92a73e4402718df5365588817 1339 x11 optional xterm_246-1.dsc
 b0c3aa021031742d6f5009833fc4d800 883376 x11 optional xterm_246.orig.tar.gz
 33595abc54cbea7c47fbb8183e2c10a1 74206 x11 optional xterm_246-1.diff.gz
 f0c1445d8f2c007bf7b9f66e100ff21b 513600 x11 optional xterm_246-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqQc3AACgkQmEvTgKxfcAyGLACfbsR3Fbqim8670EAhX8CxEM2d
ISUAn3lif2wbjhtwHI/ABT3ZHr8/DO0N
=r08v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 08:08:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:15:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.